package com.gxzc.zen.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 项目相关配置
 *
 * @author NorthLan
 */
//@Configuration
//@ConfigurationProperties(prefix = "zen")
public class ZenProperties {
    private boolean authOpen = true;
    private boolean signOpen = true;
    private boolean swaggerOpen = true;

    public boolean isAuthOpen() {
        return authOpen;
    }

    public void setAuthOpen(boolean authOpen) {
        this.authOpen = authOpen;
    }

    public boolean isSignOpen() {
        return signOpen;
    }

    public void setSignOpen(boolean signOpen) {
        this.signOpen = signOpen;
    }

    public boolean isSwaggerOpen() {
        return swaggerOpen;
    }

    public void setSwaggerOpen(boolean swaggerOpen) {
        this.swaggerOpen = swaggerOpen;
    }
}
